package com.ruoyi.szxc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 小区信息对象 szxc_xq_info
 *
 * @author hs
 * @date 2024-03-28
 */
public class SzxcXqInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 小区名称 */
    @Excel(name = "小区名称")
    private String name;

    /** 类型(0老旧1新2片区散户) */
    @Excel(name = "类型(0老旧1新2片区散户)")
    private String xqType;

    /** 楼栋数 */
    @Excel(name = "楼栋数")
    private Long ldNum;

    /** 建筑面积 */
    @Excel(name = "建筑面积")
    private String jzArea;

    /** 占地面积 */
    @Excel(name = "占地面积")
    private String zdArea;

    /** 物业管理方式(0物业公司1业主自治2其他) */
    @Excel(name = "物业管理方式(0物业公司1业主自治2其他)")
    private String wyType;

    /** 物业负责人 */
    @Excel(name = "物业负责人")
    private String wyResponse;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String wyPhone;

    /** 小区地址 */
    @Excel(name = "小区地址")
    private String xqAddress;

    /** 建成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "建成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date buildDate;

    /** 小区描述 */
    @Excel(name = "小区描述")
    private String xqDescribe;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setXqType(String xqType)
    {
        this.xqType = xqType;
    }

    public String getXqType()
    {
        return xqType;
    }
    public void setLdNum(Long ldNum)
    {
        this.ldNum = ldNum;
    }

    public Long getLdNum()
    {
        return ldNum;
    }
    public void setJzArea(String jzArea)
    {
        this.jzArea = jzArea;
    }

    public String getJzArea()
    {
        return jzArea;
    }
    public void setZdArea(String zdArea)
    {
        this.zdArea = zdArea;
    }

    public String getZdArea()
    {
        return zdArea;
    }
    public void setWyType(String wyType)
    {
        this.wyType = wyType;
    }

    public String getWyType()
    {
        return wyType;
    }
    public void setWyResponse(String wyResponse)
    {
        this.wyResponse = wyResponse;
    }

    public String getWyResponse()
    {
        return wyResponse;
    }
    public void setWyPhone(String wyPhone)
    {
        this.wyPhone = wyPhone;
    }

    public String getWyPhone()
    {
        return wyPhone;
    }
    public void setXqAddress(String xqAddress)
    {
        this.xqAddress = xqAddress;
    }

    public String getXqAddress()
    {
        return xqAddress;
    }
    public void setBuildDate(Date buildDate)
    {
        this.buildDate = buildDate;
    }

    public Date getBuildDate()
    {
        return buildDate;
    }
    public void setXqDescribe(String xqDescribe)
    {
        this.xqDescribe = xqDescribe;
    }

    public String getXqDescribe()
    {
        return xqDescribe;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("xqType", getXqType())
                .append("ldNum", getLdNum())
                .append("jzArea", getJzArea())
                .append("zdArea", getZdArea())
                .append("wyType", getWyType())
                .append("wyResponse", getWyResponse())
                .append("wyPhone", getWyPhone())
                .append("xqAddress", getXqAddress())
                .append("buildDate", getBuildDate())
                .append("xqDescribe", getXqDescribe())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .toString();
    }
}
